Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 980133 (ghc-language-java) - Review Request: ghc-language-java - Java source manipulation
Summary: Review Request: ghc-language-java - Java source manipulation
Keywords:
Status: CLOSED ERRATA
Alias: ghc-language-java
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: idris
TreeView+ depends on / blocked
 
Reported: 2013-07-01 13:43 UTC by Jens Petersen
Modified: 2013-07-17 03:03 UTC (History)
4 users (show)

Fixed In Version: ghc-language-java-0.2.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 03:00:58 UTC
Type: ---
relrod: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2013-07-01 13:43:56 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-language-java.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-language-java-0.2.4-1.fc19.src.rpm

Description:
Manipulates Java source: abstract syntax, lexer, parser, and pretty-printer.

Comment 1 Jens Petersen 2013-07-01 13:44:02 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5561942

Comment 2 Rick Elrod 2013-07-01 17:52:02 UTC
Two things, one is a nonblocker.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Fully versioned dependency in subpackages, if present.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
  (Add the %{?_isa} here)

- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 1689600 bytes in 48 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
  (This isn't a blocker, but the docs are over 1.6MB, so worth considering).


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     language-java-devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-language-java-0.2.4-1.fc20.x86_64.rpm
          ghc-language-java-devel-0.2.4-1.fc20.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-language-java ghc-language-java-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-language-java (rpmlib, GLIBC filtered):
    ghc(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(cpphs-1.16-15d27b0080912629e5fe51cce6f4d42a)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScpphs-1.16-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSold-time-1.1.0.1-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-language-java-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(language-java-0.2.4-0b0e647223770d9fdac16675bfcd278f)
    ghc-compiler
    ghc-devel(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(cpphs-1.16-15d27b0080912629e5fe51cce6f4d42a)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc-language-java



Provides
--------
ghc-language-java:
    ghc(language-java-0.2.4-0b0e647223770d9fdac16675bfcd278f)
    ghc-language-java
    ghc-language-java(x86-64)
    libHSlanguage-java-0.2.4-ghc7.6.3.so()(64bit)

ghc-language-java-devel:
    ghc-devel(language-java-0.2.4-0b0e647223770d9fdac16675bfcd278f)
    ghc-language-java-devel
    ghc-language-java-devel(x86-64)



Unversioned so-files
--------------------
ghc-language-java: /usr/lib64/ghc-7.6.3/language-java-0.2.4/libHSlanguage-java-0.2.4-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/language-java/0.2.4/language-java-0.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : ae68f6da1bfad4510c3822d82abcdbd6fcfd15d317e822a05ef5d772703763b9
  CHECKSUM(SHA256) upstream package : ae68f6da1bfad4510c3822d82abcdbd6fcfd15d317e822a05ef5d772703763b9


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 980133

Comment 3 Jens Petersen 2013-07-02 04:13:30 UTC
Thank you Ricky for reviewing.

The missing _isa should be fixed in:

Spec: http://petersen.fedorapeople.org/reviews/ghc-language-java/ghc-language-java.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-language-java/ghc-language-java-0.2.4-2.fc19.src.rpm

(just for the record this doesn't really affect Fedora Haskell libraries
since our devel packages also implicitly require the base library packages
with ghc ABI hashes but that is not obvious from the spec file:)

Comment 4 Rick Elrod 2013-07-04 06:43:42 UTC
Looks good now. APPROVED.

Comment 5 Jens Petersen 2013-07-04 10:28:18 UTC
Thank you for the review :)


New Package SCM Request
=======================
Package Name: ghc-language-java
Short Description: Java source manipulation
Owners: petersen
Branches: f19 f18 el6
InitialCC: haskell-sig

Comment 6 Jens Petersen 2013-07-05 01:31:14 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-07-05 04:00:48 UTC
ghc-language-java-0.2.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-language-java-0.2.4-2.fc18

Comment 8 Fedora Update System 2013-07-05 04:01:02 UTC
ghc-language-java-0.2.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-language-java-0.2.4-2.fc19

Comment 9 Fedora Update System 2013-07-06 00:55:50 UTC
ghc-language-java-0.2.4-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-07-17 03:00:58 UTC
ghc-language-java-0.2.4-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-07-17 03:03:12 UTC
ghc-language-java-0.2.4-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.